Skip to content

# Interface: KubeObjectDetailRegistration

Common.Types.KubeObjectDetailRegistration

## Table of contents

### Properties

- apiVersions
- components
- kind
- priority

## Properties

### apiVersions

• apiVersions: `string`[]

### components

• components: KubeObjectDetailComponents<KubeObject<KubeObjectMetadata, any, any>>

### kind

• kind: `string`

### priority

• `Optional` priority: `number`